<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<META NAME="Generator" CONTENT="MS Exchange Server version 6.0.6617.47">
<TITLE>Barnyard trouble acid_db</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/rtf format -->

<P><FONT SIZE=2 FACE="Arial">O/S FreeBSD 6.0</FONT>

<BR><FONT SIZE=2 FACE="Arial">snort: 2.4.3 Build 26 Freebsd.</FONT>

<BR><FONT SIZE=2 FACE="Arial">Barnyard: 0.2.0</FONT>
</P>

<P><FONT SIZE=2 FACE="Arial">snort seems to work.</FONT>

<BR><FONT SIZE=2 FACE="Arial">I am generating snort.log.* and snort.alert.* files.</FONT>

<BR><FONT SIZE=2 FACE="Arial">I downloaded barnyard-0.2.0 the freebsd package, installed it,  and </FONT>

<BR><FONT SIZE=2 FACE="Arial">when I ran barnyard got the error acid_alert_db plugin not found.</FONT>

<BR><FONT SIZE=2 FACE="Arial">So the acid output plugin was not built with barnyard in the package.</FONT>

<BR><FONT SIZE=2 FACE="Arial">I download barnyard-0.2.0 from www.snort.org and try to compile</FONT>

<BR><FONT SIZE=2 FACE="Arial">barnyard on my own.</FONT>

<BR><FONT SIZE=2 FACE="Arial">sh configure --enable-mysql --with-mysql-libraries=/usr/local/lib/mysql</FONT>

<BR><FONT SIZE=2 FACE="Arial">make</FONT>

<BR><FONT SIZE=2 FACE="Arial">make install</FONT>
</P>

<P><FONT SIZE=2 FACE="Arial">when I try to start  barnyard now I get the error </FONT>

<BR><FONT SIZE=2 FACE="Arial">/libexec/ld-elf.so.1: Shared object "libmysqlclient.so.14" not found required by " barnyard"</FONT>
</P>

<P><FONT SIZE=2 FACE="Arial">any suggestions on what I am doing wrong?</FONT>
</P>

<P><FONT SIZE=2 FACE="Arial">Thank you,</FONT>

<BR><FONT SIZE=2 FACE="Arial">Raymond </FONT>
</P>

</BODY>
</HTML>